# CKEditor 5 Link Popup Styles

This module provides customizable link styling options for CKEditor 5, allowing users to apply predefined styles to links within the editor. It enhances the CKEditor 5 link functionality by enabling a popup modal for selecting link styles, including AJAX-enabled links with modal configurations.

## Features

- **Customizable Link Styles**: Define styles for links that can be applied through a popup modal, including CSS classes, ID, and dialog settings.
- **AJAX Modal Support**: Supports AJAX links with customizable attributes, making it suitable for dynamic content or external links requiring modal popups.
- **Predefined Style Configuration**: Site administrators can configure predefined link styles that can be easily selected by content authors.
- **Integration with CKEditor 5**: Seamlessly integrates with CKEditor 5’s built-in link plugin, extending its functionality with new visual styles.
- **JSON-based Configuration**: Link styles can be defined using JSON format for easy management and customization.

## Installation

1. Download and install the CKEditor 5 Link Popup Styles module.
2. Enable the module through the Drupal admin interface or via Drush:
   ```bash
   drush en ckeditor5_link_popup
